<script setup>
import * as inputEnums from '@/app/enums/input';
import Input from '@/app/components/crud/particles/Input.vue';

import { sendRequest } from '../scripts/sendRequest';
</script>

<script>
export default {
    methods: {
        submit(event) {
            sendRequest(this, event, 'exchange/excel/export/shop/by-regions', (formData) => {
                return (
                    'Shops (by regions) - ' +
                    formData.get('type') +
                    ' (' +
                    formData.get('date_from') +
                    ' - ' +
                    formData.get('date_to') +
                    ').xlsx'
                );
            });
        },
    },
};
</script>

<template>
    <div class="card card-primary">
        <div class="card-header card-primary">
            {{
                __('Экспорт: :type', {
                    type: __('Магазины (по регионам)'),
                })
            }}
        </div>

        <div class="card-body">
            <form @submit.prevent="submit">
                <div class="row">
                    <Input
                        :item="{
                            label: __('fields->type'),
                            name: 'type',
                            type: inputEnums.types.select,
                            options: {
                                items: (context) => {
                                    return Object.fromEntries(
                                        Object.entries(context.booted.enums.report.type).map((entry) => {
                                            entry[1] = entry[1].label;
                                            return entry;
                                        }),
                                    );
                                },
                                withPrompt: true,
                            },
                            wrapperSize: inputEnums.wrapperSizes.xl,
                        }"
                    />
                    <Input
                        :item="{
                            label: __('fields->date_from'),
                            name: 'date_from',
                            type: inputEnums.types.date,
                            options: {},
                            wrapperSize: inputEnums.wrapperSizes.lg,
                        }"
                    />
                    <Input
                        :item="{
                            label: __('fields->date_to'),
                            name: 'date_to',
                            type: inputEnums.types.date,
                            options: {},
                            wrapperSize: inputEnums.wrapperSizes.lg,
                        }"
                    />
                </div>

                <button type="submit" class="btn btn-success btn-block">
                    {{ __('Экспортировать') }}
                </button>
            </form>
        </div>
    </div>
</template>
